using System.Collections;
using System.Collections.Generic;
using Godot;



namespace Rokojori
{
  [Tool]
  [GlobalClass]
  public partial class PBRBaker:_XX_MultiTextureBaker
  {
    [Export]
    public AlbedoBakingPass albedoBakingPass = new AlbedoBakingPass();
    
    [Export]
    public NormalsBakingPass normalsBakingPass = new NormalsBakingPass();

    [Export]
    public ORMBakingPass ormBakingPass = new ORMBakingPass();

    [Export]
    public DepthBakingPass depthBakingPass = new DepthBakingPass();

    [Export]
    public UVBakingPass uvBakingPass = new UVBakingPass();

    [Export]
    public LitBakingPass litBakingPass = new LitBakingPass();

      
    protected override void _IntitializePasses()
    { 
      _SetPasses( 
        albedoBakingPass,
        normalsBakingPass, 
        ormBakingPass,
        depthBakingPass,
        uvBakingPass,
        litBakingPass
      );

      litBakingPass.isEnabled = false;
      depthBakingPass.isEnabled = false;
      uvBakingPass.isEnabled = false;
    }


  }
}